const fs = require('fs')
let moment = require('moment-timezone')
init()


async function init() {

    let files = await fs.readdirSync('RunRes')
    let prom = []
let all=[]
    for (let i = 0; i < files.length; i++) {
        if (files[i].includes('.csv')) {
            let last = files[i].split('_')
            let file = last[last.length - 1].replace('.csv', '')

            try {
                let res = await format(files[i])
                let arr = []
                for (let z = 1; z < res.length; z++)
                    arr.push(res[z])

                all.push({name:file,data:arr})


            } catch (e) {

            }
        }

    }


     console.log(all)

}


async function format(name) {
    let res = await fs.readFileSync('./RunRes/' + name, 'utf8');
    res = res.split('\r')
    console.log(res[0])
    return res
}

function createFile(name, body) {
    return new Promise(function (resolve, reject) {
        fs.writeFile('files/' + name, body, 'utf8', function (err) {
            if (err) reject(err);
            else resolve(true);
        });
    });
}